Subject: Re: [PATCH net-next v3 00/11] selftests: kselftest_harness: support using xfail

From: Jakub Kicinski <[email-masked]>
Date: Mon, 26 Feb 2024 08:53:05 -0800

On Mon, 26 Feb 2024 17:27:34 +0100 Mickaël Salaün wrote:
> > would you be able to take a look at those changes? landlock seems to be
> > the sole user of the "no_print" functionality in the selftest harness.
> > If the patches look good I'll create a branch based on Linus's tree
> > so that anyone interested can pull the changes in..  
> 
> Hi Jakub,
> 
> I missed your patches before this series.  I just sent two patches to
> clean things up before you change them.  This should simplify your
> patches and improve the overall maintenance.  I'd appreciate if you
> rebase on top of them.

Nice! vfork() is a bit scary so I'll give people a couple of days to
review and then post a combined+rebased series.